Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCEPBEKey

    java.lang.Object
      |
      +--org.bouncycastle.jce.provider.JCEPBEKey

All Implemented Interfaces:
  java.security.Key, SecretKey, java.io.Serializable

public class JCEPBEKey
extends java.lang.Object
implements SecretKey

See Also:
  Serialized Form

Fields inherited from interface java.security.Key
`serialVersionUID`

Constructor Summary
`JCEPBEKey(java.lang.String algorithm, DERObjectIdentifier oid, int type, int digest, int keySize, int ivSize, PBEKeySpec pbeKeySpec, CipherParameters param)`

Method Summary
`java.lang.String` | `getAlgorithm()`
`byte[]` | `getEncoded()`
`java.lang.String` | `getFormat()`
`DERObjectIdentifier` | `getOID()` Return the object identifier associated with this algorithm

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCEPBEKey

    public JCEPBEKey(java.lang.String algorithm,
                     DERObjectIdentifier oid,
                     int type,
                     int digest,
                     int keySize,
                     int ivSize,
                     PBEKeySpec pbeKeySpec,
                     CipherParameters param)

  Parameters:
    `param` -

Method Detail

### getAlgorithm

    public java.lang.String getAlgorithm()

  Specified by:
    `getAlgorithm` in interface `java.security.Key`

### getFormat

    public java.lang.String getFormat()

  Specified by:
    `getFormat` in interface `java.security.Key`

### getEncoded

    public byte[] getEncoded()

  Specified by:
    `getEncoded` in interface `java.security.Key`

### getOID

    public DERObjectIdentifier getOID()

  Return the object identifier associated with this algorithm
  Returns:
    the oid for this PBE key

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD